BearSSL

Data Fields
br_aes_gen_cbcdec_keys Union Reference

Aggregate structure large enough to be used as context for subkeys (CBC decryption) for all AES implementations. More...

`#include <bearssl_block.h>`

## Data Fields
const br_block_cbcdec_class * | vtable
br_aes_big_cbcdec_keys | c_big
br_aes_small_cbcdec_keys | c_small
br_aes_ct_cbcdec_keys | c_ct
br_aes_ct64_cbcdec_keys | c_ct64
br_aes_x86ni_cbcdec_keys | c_x86ni
br_aes_pwr8_cbcdec_keys | c_pwr8

## Detailed Description

Aggregate structure large enough to be used as context for subkeys (CBC decryption) for all AES implementations.

## Field Documentation

## ◆ c_big

br_aes_big_cbcdec_keys br_aes_gen_cbcdec_keys::c_big

## ◆ c_ct

br_aes_ct_cbcdec_keys br_aes_gen_cbcdec_keys::c_ct

## ◆ c_ct64

br_aes_ct64_cbcdec_keys br_aes_gen_cbcdec_keys::c_ct64

## ◆ c_pwr8

br_aes_pwr8_cbcdec_keys br_aes_gen_cbcdec_keys::c_pwr8

## ◆ c_small

br_aes_small_cbcdec_keys br_aes_gen_cbcdec_keys::c_small

## ◆ c_x86ni

br_aes_x86ni_cbcdec_keys br_aes_gen_cbcdec_keys::c_x86ni

## ◆ vtable

const br_block_cbcdec_class* br_aes_gen_cbcdec_keys::vtable

The documentation for this union was generated from the following file:

- bearssl_block.h